$(document).ready(function() {
    $('#clean_reg_votacion_form').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar el registro de votación?')
    });
    $('#clean_ingresos_salidas').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar el registro de ingresos y salidas?')
    });
    $('#clean_participantes').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar la tabla de participantes?');
    });

    $('#clean_listas').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar la tabla de listas?');
    });

    $('#backup_db').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea realizar un backup de toda la base de datos?');
        $('#spin').hide();
    });

    $('#clean_candidatos').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar la tabla de candidatos?');
    });

    $('#clean_votacion').submit(function(event) {
        var currentForm = this;
        event.preventDefault();
        callBootbox(currentForm, 'Esta seguro que desea limpiar los datos de participantes para una nueva votación?');
    });


    function callBootbox(formTarget, message) {
        bootbox.confirm({
            message: message,
            buttons: {
                confirm: {
                    label: 'Si',
                    className: 'btn-success'
                },
                cancel: {
                    label: 'No',
                    className: 'btn-danger'
                }
            },
            callback: function(result) {
                console.log(result);
                console.log(formTarget.id);
                if (result) {
                    if (formTarget.id !== 'backup_db') {
                        $('#spin').show();
                    }
                    formTarget.submit();
                }
            }
        });
    }
});